Package icyllis.modernui.resources

# Class Resource

java.lang.Object
icyllis.modernui.resources.Resource

public class Resource extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `Resource.ResourceName`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `TYPE_ANIM`
  `static final int`
  `TYPE_ANIMATOR`
  `static final int`
  `TYPE_ARRAY`
  `static final int`
  `TYPE_ATTR`
  `static final int`
  `TYPE_ATTR_PRIVATE`
  `static final int`
  `TYPE_BOOL`
  `static final int`
  `TYPE_COLOR`
  `static final int`
  `TYPE_CONFIG_VARYING`
  `static final int`
  `TYPE_DIMEN`
  `static final int`
  `TYPE_DRAWABLE`
  `static final int`
  `TYPE_FONT`
  `static final int`
  `TYPE_FRACTION`
  `static final int`
  `TYPE_ID`
  `static final int`
  `TYPE_INTEGER`
  `static final int`
  `TYPE_INTERPOLATOR`
  `static final int`
  `TYPE_LAYOUT`
  `static final int`
  `TYPE_MACRO`
  `static final int`
  `TYPE_MENU`
  `static final int`
  `TYPE_MIPMAP`
  `static final int`
  `TYPE_NAVIGATION`
  `static final int`
  `TYPE_PLURALS`
  `static final int`
  `TYPE_RAW`
  `static final int`
  `TYPE_STRING`
  `static final int`
  `TYPE_STYLE`
  `static final int`
  `TYPE_STYLEABLE`
  `static final int`
  `TYPE_TRANSITION`
  `static final int`
  `TYPE_XML`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Resource()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `getTypeName(int type)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TYPE_ANIM

    public static final int TYPE_ANIM
    See Also:
      - Constant Field Values

  - ### TYPE_ANIMATOR

    public static final int TYPE_ANIMATOR
    See Also:
      - Constant Field Values

  - ### TYPE_ARRAY

    public static final int TYPE_ARRAY
    See Also:
      - Constant Field Values

  - ### TYPE_ATTR

    public static final int TYPE_ATTR
    See Also:
      - Constant Field Values

  - ### TYPE_ATTR_PRIVATE

    public static final int TYPE_ATTR_PRIVATE
    See Also:
      - Constant Field Values

  - ### TYPE_BOOL

    public static final int TYPE_BOOL
    See Also:
      - Constant Field Values

  - ### TYPE_COLOR

    public static final int TYPE_COLOR
    See Also:
      - Constant Field Values

  - ### TYPE_CONFIG_VARYING

    public static final int TYPE_CONFIG_VARYING
    See Also:
      - Constant Field Values

  - ### TYPE_DIMEN

    public static final int TYPE_DIMEN
    See Also:
      - Constant Field Values

  - ### TYPE_DRAWABLE

    public static final int TYPE_DRAWABLE
    See Also:
      - Constant Field Values

  - ### TYPE_FONT

    public static final int TYPE_FONT
    See Also:
      - Constant Field Values

  - ### TYPE_FRACTION

    public static final int TYPE_FRACTION
    See Also:
      - Constant Field Values

  - ### TYPE_ID

    public static final int TYPE_ID
    See Also:
      - Constant Field Values

  - ### TYPE_INTEGER

    public static final int TYPE_INTEGER
    See Also:
      - Constant Field Values

  - ### TYPE_INTERPOLATOR

    public static final int TYPE_INTERPOLATOR
    See Also:
      - Constant Field Values

  - ### TYPE_LAYOUT

    public static final int TYPE_LAYOUT
    See Also:
      - Constant Field Values

  - ### TYPE_MACRO

    public static final int TYPE_MACRO
    See Also:
      - Constant Field Values

  - ### TYPE_MENU

    public static final int TYPE_MENU
    See Also:
      - Constant Field Values

  - ### TYPE_MIPMAP

    public static final int TYPE_MIPMAP
    See Also:
      - Constant Field Values

  - ### TYPE_NAVIGATION

    public static final int TYPE_NAVIGATION
    See Also:
      - Constant Field Values

  - ### TYPE_PLURALS

    public static final int TYPE_PLURALS
    See Also:
      - Constant Field Values

  - ### TYPE_RAW

    public static final int TYPE_RAW
    See Also:
      - Constant Field Values

  - ### TYPE_STRING

    public static final int TYPE_STRING
    See Also:
      - Constant Field Values

  - ### TYPE_STYLE

    public static final int TYPE_STYLE
    See Also:
      - Constant Field Values

  - ### TYPE_STYLEABLE

    public static final int TYPE_STYLEABLE
    See Also:
      - Constant Field Values

  - ### TYPE_TRANSITION

    public static final int TYPE_TRANSITION
    See Also:
      - Constant Field Values

  - ### TYPE_XML

    public static final int TYPE_XML
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Resource

    public Resource()

- ## Method Details

  - ### getTypeName

    public static String getTypeName(int type)